Description: I was wondering about several changes in time logging interfaces.

Here is a few:

* Add the "Date" field to the Issue update screen, in "Log time" fieldset, so we can remove the "Time entries" 
link and view
* Move the "Spent time" view to the ticket details in a sub-section like "Related issues" and "Subtasks"

Suggestions are welcome.

History
2011-02-28 12:56 am - Daniel Neis
I've created a branch to work on this issue at:
https://github.com/danielneis/chiliproject/tree/235-time.logging

I've already commited the addition of spent_on field to "Log time" fieldset, but didn't remove the link and view yet.

2011-03-02 12:16 am - Eric Davis
- Category changed from User interface to Time entries

I'm fine with adding the spent_on field to the section on the issue update form.

I don't want to remove the Spent Time or Log Time links or views. Those are used in other places and need to be there (e.g. editing a time entry).

2011-03-03 02:26 pm - Daniel Neis
I was trying to make the block on my-page block editable (https://github.com/danielneis/chiliproject/tree/mypage-spent.time) and if there is an editable 
list in the issue description, we may not need the entire view for editing, just form partials.

Another point, that may be a little off topic, is to add a possibility to create an activity with estimated time and let people log time in that activity, so we 
can see differences in planned and real time used.

2011-03-04 05:54 pm - Daniel Neis
Hello, 

here is the commit to add "spent_on" field to the section on the issue update form: 
https://github.com/danielneis/chiliproject/commit/c0241475eb763cc6ec626b36c6e7a2005fc85ddd

Hope you like

2011-03-05 07:05 pm - Tim Felgentreff
I like the patch, but I am very much opposed to removing the "Spent time" view, we use that functionality extensively (and have extended it a lot). Time 
reporting is a very broad subject and having a separate view for this is a-good-thing&trade; IMHO.
